Page MenuHomePhabricator

Ctrl or shift + click on "full screen" should open map in a new tab
Closed, ResolvedPublic

Description

Some advanced users have asked to be able to view full screen map in a separate tab. I think full screen in the same tab is more intuitive for novice users, but ctrl+click or shift+click should open the full screen map in a new tab. Also, there should be a tooltip explaining about shift being "pop-out" (similar to gmail's compose email screen)

Details

Related Gerrit Patches:

Event Timeline

Yurik created this task.Apr 27 2016, 4:21 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 27 2016, 4:21 PM
Yurik moved this task from Unsorted to UI tasks on the Maps (Kartographer) board.Apr 27 2016, 4:22 PM
Restricted Application added a project: Discovery. · View Herald TranscriptMay 17 2016, 8:34 PM
JGirault moved this task from Backlog to In progress on the Maps-Sprint board.
JGirault claimed this task.Jun 17 2016, 5:38 PM

Change 294943 had a related patch set uploaded (by JGirault):
Make full screen control a real link so users can open it in a new tab/window.

https://gerrit.wikimedia.org/r/294943

Change 294943 merged by jenkins-bot:
Make full screen control a real link so users can open it in a new tab/window.

https://gerrit.wikimedia.org/r/294943

JGirault closed this task as Resolved.Jun 21 2016, 11:12 PM